package org.arefgard.flow.exception;

/**
 * ユースケースフローの実行に失敗したことを表す例外。
 * 
 * @author Takashi Yamashina
 * @since 1.0.0
 */
public class UsecaseFlowExecuteException extends UsecaseFlowException {

	public UsecaseFlowExecuteException() {
	}

	public UsecaseFlowExecuteException(String arg0) {
		super(arg0);
	}

	public UsecaseFlowExecuteException(Throwable arg0) {
		super(arg0);
	}

	public UsecaseFlowExecuteException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

}
